<?php
if(!function_exists("error_y_salir")) {
	function error_y_salir($m) {
		echo($m);
		echo "</div><pre>";
		debug_print_backtrace();
		die();
	} //Fin de error_y_salir
}

function error_con_header($m, $config=array("HTTP_CODE"=>500)) {
	//##Nota20260316: Esto es el mismo "error_y_salir" de siempre. Se llamó diferente, para estar tranquilos 
	//por si "error_y_salir" tiene otros parámetros en algotra definición. Nos interesa incorporar el parámetro del 
	//encabezado HTTP. Entonces el presente se volvió un ##wrapper de error_y_salir, el tradicional, que quizás podrían 
	//fusionarse o podrían dejarse separados como aquí.
	switch($config["HTTP_CODE"]) {
		case 400:
			header("HTTP/1.1 400 Solicitud incorrecta");
			break;
		case 500:
		default:
			header("HTTP/1.1 500 Error general interno");
	}
	header("Content-Type: text/html; charset=utf-8");
	error_y_salir($m);
}